package com.herdt.javxml.kap08;

import org.apache.fop.apps.*;
import javax.xml.transform.*;
import javax.xml.transform.sax.*;
import javax.xml.transform.stream.*;
import java.io.*;

public class RunFOP2
{
  public RunFOP2()
  {
    try
    {
      Driver drv = new Driver();
      drv.setRenderer(Driver.RENDER_PDF);
      drv.setOutputStream(new FileOutputStream("D:\\CDSammlung.pdf"));

      Result foInput = new SAXResult(drv.getContentHandler());
      Source srcXML = new StreamSource("D:\\CDSammlung.xml");
      Source srcXSL = new StreamSource("D:\\CDSammlung.xsl");
      TransformerFactory tf = TransformerFactory.newInstance();
      Transformer t = tf.newTransformer(srcXSL);

      t.transform(srcXML, foInput);

      System.out.println(drv.getResults().getPageCount() + " Seiten wurden verarbeitet.");
    }
    catch(Exception _uh)
    {}
  }

  public static void main(String args[])
  {
    new RunFOP2();
  }
}

