<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
  <xsl:param name="Jahr" select="'1995'"/>

  <xsl:template match="/">
    <html>
      <head>
        <title>
          CD-Sammlung
        </title>
      </head>
      <body>
        <xsl:apply-templates />
       </body>
      </html>
  </xsl:template>

  <xsl:template match="CD">
    <xsl:if test="@Jahr=$Jahr">
    <h1><xsl:value-of select="@Titel"/> - <xsl:value-of select="@Jahr"/></h1>
      <ol>
        <xsl:apply-templates />
      </ol>
    </xsl:if>
  </xsl:template>

  <xsl:template match="Titel">
    <li>
      <xsl:apply-templates />
    </li>
  </xsl:template>

  <xsl:template match="Interpret">
    <xsl:text>, Interpret:  </xsl:text>
    <xsl:value-of select="."/>
  </xsl:template>

  <xsl:template match="Name">
    <xsl:text>Titelname:  </xsl:text>
    <xsl:value-of select="."/>
  </xsl:template>

</xsl:stylesheet>
