<?xml version="1.0"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" version="1.0">
  <xsl:template match="/">
    <fo:root>
      <!-- Seitendefinition -->
      <fo:layout-master-set>
        <fo:simple-page-master master-name="A4"
          page-width="21cm"
          page-height="29,7cm"
          margin="1.5cm 2cm 1.5cm 2cm">
          <fo:region-body />
        </fo:simple-page-master>
      </fo:layout-master-set>

      <!-- Seitenreihenfolge -->
      <fo:page-sequence master-reference="A4">
        <fo:flow flow-name="xsl-region-body">
  
          <xsl:apply-templates />
          
        </fo:flow>
      </fo:page-sequence>
    </fo:root>
  </xsl:template>

  <xsl:template match="CD">
    <fo:block font-size="22pt" space-before.optimum="30pt" space-after.optimum="30pt" background-color="lightgray" >
      <xsl:value-of select="@Titel"/> - <xsl:value-of select="@Jahr"/>
    </fo:block>
    <xsl:apply-templates />
  </xsl:template>

  <xsl:template match="Titel">
    <fo:block font-size="14pt">
      <xsl:apply-templates />
    </fo:block>
  </xsl:template>

  <xsl:template match="Interpret">
    <xsl:text>, Interpret:  </xsl:text>
    <xsl:value-of select="."/>
  </xsl:template>

  <xsl:template match="Name">
    <xsl:text>Titelname:  </xsl:text>
    <xsl:value-of select="."/>
  </xsl:template>

</xsl:stylesheet>
