package com.herdt.javxml.kap10;

import java.awt.*;
import java.io.*;
import org.w3c.dom.*;
import org.apache.batik.dom.*;
import org.apache.batik.svggen.*;

public class Uebung2
{
  public void erzeuge(Graphics2D g)
  {
    g.setPaint(Color.blue);
    g.drawOval(50, 50, 100, 100);
    g.setPaint(Color.black);
    g.drawOval(160, 50, 100, 100);
    g.setPaint(Color.red);
    g.drawOval(270, 50, 100, 100);
    g.setPaint(Color.yellow);
    g.drawOval(105, 115, 100, 100);
    g.setPaint(Color.green);
    g.drawOval(215, 115, 100, 100);

    g.setPaint(Color.black);
    g.drawString("Die olympischen Ringe", 10, 20);
  }

  public static void main(String [] args) throws IOException
  {
    DOMImplementation domImpl = GenericDOMImplementation.getDOMImplementation();
    Document document = domImpl.createDocument(null, "svg", null);
    SVGGraphics2D svgGenerator = new SVGGraphics2D(document);
    svgGenerator.setSVGCanvasSize(new Dimension(400, 250));

    Uebung2 ueb2 = new Uebung2();
    ueb2.erzeuge(svgGenerator);

    FileOutputStream fw = new FileOutputStream("D:\\OlymRing.svg");
    Writer out = new OutputStreamWriter(fw, "UTF-8");
    svgGenerator.stream(out, true);
  }
}

